Set project template content group
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/contentGroup \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"contentGroupId": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/contentGroup"
payload = { "contentGroupId": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({contentGroupId: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/contentGroup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>"
}Project Template
Set project template content group
Sets the content group for the project template, replacing any previously linked group. Returns the newly linked content group. Returns 422 Unprocessable Entity if the project template already has style guides assigned.
POST
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
contentGroup
Set project template content group
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project template UID
Body
application/json
Content group to link
Unique identifier of the content group to link
Was this page helpful?
⌘I